%IMOX Handwritten character dataset, 192 objects, 8 features, 4 classes
%
%	A = IMOX
%
% Load the dataset in A. The features are the distances from a bounding box
% to the pixels of a set of handwritten characters 'I', 'M', 'O', and 'X',
% measured form the corners along the diagnoals and from the edge midpoints
% along the horizontal and vertical central axes.
%
% REFERENCES
% 1. R. Dubes and A.K. Jain, Clustering techniques: The user's dilemma,
% Pattern Recognition, Volume 8, Issue 4, October 1976, Pages 247-260.
% 2. A.K. Jain, R.C. Dubes, C.C. Chen, Bootstrap Techniques for Error Estimation
% IEEE Trans. Pattern Anal. and Mach. Intel., 9(5), pp. 628-633, 1987.
% 3. W.F. Schmidt, D.F. Levelt, and R.P.W. Duin, An experimental comparison
% of neural classifiers with traditional classifiers, in: E.S. Gelsema, 
% L.N. Kanal (eds.), Pattern Recognition in Practice IV, Elsevier,
% 1994, 391-402. 
%
% See also DATASETS, PRDATASETS, X80

% Copyright: R.P.W. Duin 
% Faculty EWI, Delft University of Technology
% P.O. Box 5031, 2600 GA Delft, The Netherlands

function a = imox

a = pr_getdata;
a = setname(a,'IMOX Characters');
a = setlablist(a,char('I','M','O','X'));
a = setfeatlab(a,char(...
        'diagonal from top-left', ...
        'vertical from top-center', ...
        'diagonal from top-right', ...
		'horizontal from right-center', ...
		'diagonal from bottom-right', ...
		'vertical from bottom-center', ...
		'diagonal from bottom-left', ...
		'horizontal from left-center'));
